Package com.trilead.ssh2.packets

# Class PacketUserauthRequestNone

java.lang.Object
com.trilead.ssh2.packets.PacketUserauthRequestNone

public class PacketUserauthRequestNone extends Object
PacketUserauthRequestPassword.

## Constructor Summary

Constructors
Constructor
Description
`PacketUserauthRequestNone(byte[] payload, int off, int len)`
`PacketUserauthRequestNone(String serviceName, String user)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PacketUserauthRequestNone

public PacketUserauthRequestNone(String serviceName, String user)

### PacketUserauthRequestNone

public PacketUserauthRequestNone(byte[] payload, int off, int len) throws IOException

Throws:
  `IOException`

## Method Details

### getPayload

public byte[] getPayload()